OFAgent deprecation and removal

Bug #1521477 reported by fumihiko kakuma on 2015-12-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
networking-ofagent
Undecided
fumihiko kakuma
neutron
Low
fumihiko kakuma
openstack-manuals
Medium
fumihiko kakuma

Bug Description

The ryu team plans to deprecate the OFAgent mechanism driver and its agent in Mitaka
and to remove them in the next N cycle.

This bug report is intended to track it.

fumihiko kakuma (kakuma) on 2015-12-02
Changed in networking-ofagent:
assignee: nobody → fumihiko kakuma (kakuma)
fumihiko kakuma (kakuma) wrote :

Fix proposed to branch: master
Review: https://review.openstack.org/251820

Changed in neutron:
status: New → Confirmed
importance: Undecided → Low
fumihiko kakuma (kakuma) on 2015-12-14
description: updated
Changed in neutron:
assignee: nobody → fumihiko kakuma (kakuma)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/251820
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=5c09ca79327cba03bdfc79cd33b19cf53d62bc24
Submitter: Jenkins
Branch: master

commit 5c09ca79327cba03bdfc79cd33b19cf53d62bc24
Author: fumihiko kakuma <email address hidden>
Date: Mon Jan 12 20:57:01 2015 +0900

    Add to deprecate OFAgent in release note

    The OFAgent is decomposed completely.
    And the OFAgent driver and its agent are depecated in the Mitaka and
    will be removed in the next release.

    Partial-Bug: #1521477
    Change-Id: I8ce5e69d84bad486c95d5e3bd3f44effd29b2a62

fumihiko kakuma (kakuma) wrote :

Fix proposed to branch: master
Review: https://review.openstack.org/265075

Changed in openstack-manuals:
assignee: nobody → fumihiko kakuma (kakuma)
status: New → In Progress
fumihiko kakuma (kakuma) on 2016-01-12
Changed in networking-ofagent:
status: New → In Progress
fumihiko kakuma (kakuma) wrote :

Reviewed: https://review.openstack.org/265075
https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=686ef7ab9abcc63facda135fe49551dc93f3a5d6
Submitter: Jenkins
Branch: master

commit e3aee7942047acac1dc774b947b4c8f31035f894
Author: fumihiko kakuma <email address hidden>
Date: Fri Dec 25 15:19:50 2015 +0900

    OFAgent is deprecated in the Mitaka

    The OFAgent was deprecated in Mitaka and will be removed in the next release.

    Change-Id: I24cb90346622eb7136765940761f9320cbbd7435
    Partial-Bug: #1521477

Reviewed: https://review.openstack.org/304392
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=2d09f50c980747c786d4f23b9a7df0303978d39a
Submitter: Jenkins
Branch: master

commit 2d09f50c980747c786d4f23b9a7df0303978d39a
Author: fumihiko kakuma <email address hidden>
Date: Mon Mar 28 14:15:20 2016 +0900

    Remove Openflow Agent(OFAgent) mechanism driver

    The OFAgent driver and its agent are removed in the Newton cycle.
    This adds to remove them in the release note.

    Change-Id: I5dbcd38b0ccc156a6c1cbac4d7fa7f9d297ec466
    Partial-Bug: #1521477

Reviewed: https://review.openstack.org/306205
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=cece1855730d056fbb29108a708067cff31fc3cf
Submitter: Jenkins
Branch: master

commit cece1855730d056fbb29108a708067cff31fc3cf
Author: fumihiko kakuma <email address hidden>
Date: Fri Apr 15 10:16:03 2016 +0900

    Update for removing ofagent

    Update document and configuration help.
    A release-note for removing ofagent is added in the following.

    I5dbcd38b0ccc156a6c1cbac4d7fa7f9d297ec466

    Change-Id: I586c0d5a7f9d3b742e8c65ff7e2986fd5d837f94
    Partial-Bug: #1521477

Changed in openstack-manuals:
importance: Undecided → Medium
milestone: none → newton
fumihiko kakuma (kakuma) wrote :

Reviewed: https://review.openstack.org/317156/
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=4e0b296d6db49538ba53399a394929ad569ef69c
Branch: master

commit 4e0b296d6db49538ba53399a394929ad569ef69c
Author: fumihiko kakuma <email address hidden>
Date: Tue May 17 09:55:26 2016 +0900

    Delete explanations for ofagent from documents

    ofagent will be removed in the Newton cycle. So we sholud delete
    explanations for ofagent from documents.

    Change-Id: I3750e5944d0f3189c9db995c791690da8122e9a0

Changed in openstack-manuals:
milestone: newton → ocata

Reviewed: https://review.openstack.org/400449
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=8cf8a0fab1033ed6b76ca6217df7d739c7bab658
Submitter: Jenkins
Branch: master

commit 8cf8a0fab1033ed6b76ca6217df7d739c7bab658
Author: fumihiko kakuma <email address hidden>
Date: Tue Nov 22 08:20:27 2016 +0900

    Delete a reference to ofagent from document

    We don't need the reference to ofagent as ofagent has been removed in newton.

    Partial-Bug: #1521477
    Change-Id: I07c5242f580624f244cde9eba061c77ab8dcf57f

fumihiko kakuma (kakuma) on 2016-11-23
Changed in openstack-manuals:
status: In Progress → Fix Committed
Changed in openstack-manuals:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers